Subject: Re: [PATCH 1/1] doc/diff-options: fix link to generating patch section

From: Sergey Organov <[email-masked]>
Date: Wed, 06 Sep 2023 09:47:53 +0300

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>> First, there is no need for conditional referencing, as all the files
>> that include "diff-options.txt" eventually include
>> "diff-generate-patch.txt" as well.
>
> Except for git-format-patch.txt which includes the former but not
> the latter.  But this is inside ifndef::git-format-patch[], so the
> above description being a bit imprecise does not cause any actual
> damage.
>
>     Documentation for all commands that want to describe the `-p`
>     option by including the "diff-options.txt" file also include the
>     "diff-generate-patch.txt" file, so an internal link would work
>     for all of them.
>
> or something like that, perhaps.

In fact I just realized that removing conditionals in fact *fixes* those
documents by providing proper link in them as well, so I'll think of
better description taking into account your observation as well, and
then will re-roll.

Thanks,
-- Sergey Organov